#!/usr/bin/env node

// Grab attachment filename and to address from command-line argumemnts.
if (process.argv.length < 7) {
  
  console.log("Usage: nodemailer.js smtp_server smtp_user smtp_password file_name to_address");
  process.exit(1);
  
}

var server = process.argv[2];
var user = process.argv[3];
var password = process.argv[4];
var file = process.argv[5];
var to = process.argv[6];

// Create nodemailer SMTP transporter with given server name and credentials.
var nodemailer = require("nodemailer");
var transporter = nodemailer.createTransport("smtp://" + user + ":" + password + "@" + server);

// Set up email message 
var message = {
    from: "Node.js Email Example <" + user + ">",
    to: to,
    subject: "Node.js Email Example",
    html: "<b>Sent from Node.js on IBM i</b>",
    attachments: [{
      path: file
    }]
};
 
// Send
transporter.sendMail(message, function(error, info) {
  
  if (error) {

    console.log(error);
	process.exit(1);
    
  }
  
});
